# $Revision: 1.4 $, $Date: 2012/03/25 07:47:51 $
Summary:	PicasaWeb Downloader
Summary(pl.UTF-8):	Narzędzie do ściągania albumów z serwisu PicasaWeb
Name:		PicasaWebDownloader
Version:	1.2
Release:	1
License:	WTFPL
Group:		Applications/Graphics
Source0:	http://www.tomergabel.com/content/binary/PicasaWebDownloader12.zip
# Source0-md5:	e98b327af6fff08964aeb18fae1a0fc4
Patch0:		%{name}-imgmax.patch
URL:		http://www.tomergabel.com/PicasaWebDownloader.aspx
BuildRequires:	mono-csharp
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	mono
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PicasaWeb Downloader allows you to download albums from PicasaWeb site
without having to use (MS Windows-based) Picasa application.

%description -l pl.UTF-8
PicasaWeb Downloader pozwala ściągać albumy z serwisu PicasaWeb bez
potrzeby korzystania z aplikacji Picasa (przeznaczonej dla MS
Windows).

%prep
%setup -q -c
%undos Program.cs
%patch0 -p1

%build
gmcs -out:PicasaWebDownloader.exe Program.cs AssemblyInfo.cs

%install
rm -rf $RPM_BUILD_ROOT

install -D PicasaWebDownloader.exe $RPM_BUILD_ROOT%{_bindir}/PicasaWebDownloader.exe

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/PicasaWebDownloader.exe

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: PicasaWebDownloader.spec,v $
Revision 1.4  2012/03/25 07:47:51  qboosh
- added imgmax patch: add imgmax=d arg to get original size photos

Revision 1.3  2012/03/25 07:25:47  qboosh
- updated to 1.2
- removed obsolete url patch

Revision 1.2  2010/05/16 14:13:30  sparky
- BR: unzip

Revision 1.1  2007/11/05 20:16:25  qboosh
- new
